org.springframework.cloud.dataflow.server.support

## Class AuthenticationSuccessEventListener

- java.lang.Object
- - org.springframework.cloud.dataflow.server.support.AuthenticationSuccessEventListener

- All Implemented Interfaces:
    EventListener, org.springframework.context.ApplicationListener<org.springframework.security.authentication.event.InteractiveAuthenticationSuccessEvent>

      public class AuthenticationSuccessEventListener
      extends Object
      implements org.springframework.context.ApplicationListener<org.springframework.security.authentication.event.InteractiveAuthenticationSuccessEvent>

  Event Listener class to log Login audit events .
  Author:
    Deepak Gunasekaran

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationSuccessEventListener(org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onApplicationEvent(org.springframework.security.authentication.event.InteractiveAuthenticationSuccessEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.context.ApplicationListener

      `forPayload`

- - ### Constructor Detail

    - #### AuthenticationSuccessEventListener

          public AuthenticationSuccessEventListener(org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService)

  - ### Method Detail

    - #### onApplicationEvent

          public void onApplicationEvent(org.springframework.security.authentication.event.InteractiveAuthenticationSuccessEvent event)

      Specified by:
        `onApplicationEvent` in interface `org.springframework.context.ApplicationListener<org.springframework.security.authentication.event.InteractiveAuthenticationSuccessEvent>`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.